Ciele

Choose the Role new invitations and new Assistant assignments start with

PUT/api/v1/roles/defaults

Requires an Organization API key with the manageMembers capability.

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/roles/defaults" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": [    {      "builtIn": true,      "edited": true,      "locked": true,      "id": "string",      "organizationId": "string",      "key": null,      "name": "string",      "description": "string",      "capabilities": [        "string"      ],      "organizationLevel": true,      "assistantLevel": true,      "tier": "owner",      "memberCount": 0,      "apiKeyCount": 0,      "inviteCount": 0,      "assistantGrantCount": 0,      "memberDefault": true,      "assistantDefault": true,      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}